Class Specialization
VectorSet
A fast map for small key types.

Map

VectorSet

Map<TValue, VectorSet<TSpec> >
Include Headers
seqan/map.h
Parameters

TValue | The type of value stored in the map. Metafunctions: Value
TSpec | The specializing type. Default: Alloc Remarks: TSpec is used as specialization for the String type that is used to store the values.

Remarks
The memory needed is linear to the number different values the key type of TValue can get. So do not use this map for large key types.
Specialization of
Map
Metafunctions

MapValue | Type of the map value type. (Map)

Functions

begin | The begin of a container. (Map)
cargo | Returns a cargo given a key. (Map)
end | The end of a container. (Map)
erase | Removes a value from a map. (Map)
find | Find a value in a map. (Map)
hasKey | Determines whether a map contains a value given key. (Map)
insert | Insert new value into map. (Map)
length | The number of items/characters. (Map)
mapValue | Subscript operator [ ] of maps. (Map)
value | Returns a value given a key. (Map)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52